Package org.eclipse.m2m.atl.adt.ui.preferences

## Interface IModifyDialogTabPage

All Known Implementing Classes:
  `AtlCodeFormatterProfilesTabPage`, `AtlCodeFormatterPropertiesTabPage`, `ModifyDialogTabPage`

    public interface IModifyDialogTabPage

Since:
  3.4

### Nested Class Summary

Nested Classes
`static interface` `IModifyDialogTabPage.IModificationListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.swt.widgets.Composite` `createContents​(org.eclipse.swt.widgets.Composite parent)` Create the contents of this tab page.
`void` `makeVisible()` This is called when the page becomes visible.
`void` `setInitialFocus()` Each tab page should remember where its last focus was, and reset it correctly within this method.
`void` `setModifyListener​(IModifyDialogTabPage.IModificationListener modifyListener)` A modify listener which must be informed whenever a value in the map passed to `setWorkingValues(Map)` changes.
`void` `setWorkingValues​(java.util.Map<java.lang.String,​java.lang.String> workingValues)` A map containing key value pairs this tab page is must modify.

### Method Detail

#### setWorkingValues

    void setWorkingValues​(java.util.Map<java.lang.String,​java.lang.String> workingValues)

A map containing key value pairs this tab page is must modify.

Parameters:
  `workingValues` - the values to work with

#### setModifyListener

    void setModifyListener​(IModifyDialogTabPage.IModificationListener modifyListener)

A modify listener which must be informed whenever a value in the map passed to `setWorkingValues(Map)` changes. The listener can also be informed about status changes.

Parameters:
  `modifyListener` - the listener to inform

#### createContents

    org.eclipse.swt.widgets.Composite createContents​(org.eclipse.swt.widgets.Composite parent)

Create the contents of this tab page.

Parameters:
  `parent` - the parent composite
Returns:
  created content control

#### makeVisible

    void makeVisible()

This is called when the page becomes visible. Common tasks to do include:

- Updating the preview.
- Setting the focus

#### setInitialFocus

    void setInitialFocus()

Each tab page should remember where its last focus was, and reset it correctly within this method. This method is only called after initialization on the first tab page to be displayed in order to restore the focus of the last session.